---
license: apache-2.0
---

This repo contains pre-built static onnxruntime libs for iOS using the following
commit:

```
commit 62ee0c8110882c6153921c87e36774273fe0a75e (HEAD -> main, github/main)
Author: Jian Chen <cjian@microsoft.com>
Date:   Wed Feb 22 19:42:36 2023 -0800
```

Please see
https://github.com/k2-fsa/sherpa-onnx
for its usage.



# How to build xcframework

```bash
git clone https://github.com/microsoft/onnxruntime
cd onnxruntime
cp ../create-xcframework.sh .
cp ../run-ios-arm64.sh .
cp ../run-ios-simulator-arm64.sh .
cp ../run-ios-simulator-os64.sh .

./run-ios-arm64.sh
./run-ios-simulator-arm64.sh
./run-ios-simulator-os64.sh

./create-xcframework.sh
```

You should see the following content:

```bash
ios-onnxruntime fangjun$ tree onnxruntime.xcframework/
onnxruntime.xcframework/
├── Headers
│   ├── cpu_provider_factory.h
│   ├── onnxruntime_c_api.h
│   ├── onnxruntime_cxx_api.h
│   └── onnxruntime_cxx_inline.h
├── Info.plist
├── ios-arm64
│   └── onnxruntime.a
└── ios-arm64_x86_64-simulator
    └── onnxruntime.a

3 directories, 7 files
```
